Package com.ads.api.beans.sm

# Class SMSystem

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.sm.SMSystem

public class SMSystem extends Node
This class provides some beans control methods related to System, and its related Audit History Details.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMSystem()`
  `SMSystem(int systemId, int totalTableCount, int averageNamedUsersCount, int averageConcurrentUsersCount, AuditHistory auditHistory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEnvironment(SMEnvironment environment)`
  Adds environment as specified in SMEnvironment Object.
  `SMSystem`
  `addSDIClassification(SDIClassification classification)`
  It adds the given sdiClassification object to the list.
  `void`
  `deleteEnvironment(SMEnvironment environment)`
  Deletes the specified environment object
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory Details.
  `int`
  `getAverageConcurrentUsersCount()`
  Returns the averageConcurrentUsersCount.
  `int`
  `getAverageNamedUsersCount()`
  Returns the averageNamedUsersCount.
  `String`
  `getDailyBatchExtractWindow()`
  Returns the dailyBatchExtractWindow.
  `String`
  `getDataProfileScore()`
  Returns the dataProfileScore.
  `int`
  `getDataProfileScoreId()`
  Returns the dataProfileScoreId.
  `String`
  `getDataStewardName()`
  Deprecated.
  `String`
  `getDBMSPlatform()`
  Returns the dbmsPlatform.
  `String`
  `getDBMSVersion()`
  Returns the dbmsVersion.
  `String`
  `getEndOfDayDefinition()`
  Returns the endOfDayDefinition as specified.
  `Collection<SMEnvironment>`
  `getEnvironments()`
  Returns the list of SMEnvironment objects.
  `String`
  `getESBPlatformType()`
  Returns the esbPlatformType.
  `String`
  `getESBQManagerName()`
  Returns the esbQManagerName.
  `String`
  `getFileLocation()`
  Returns the fileLocation.
  `String`
  `getFileManagmentSystemType()`
  Returns the fileManagmentSystemType.
  `String`
  `getRelease()`
  Returns the release.
  `int`
  `getSdiClassificationId()`
  Deprecated.
  `String`
  `getSdiClassificationName()`
  Deprecated.
  `List<SDIClassification>`
  `getSDIClassifications()`
  Returns the list of sdiClassifications of the system.
  `String`
  `getSdiDescription()`
  Deprecated.
  `String`
  `getServerOSVersion()`
  Returns the serverOSVersion.
  `String`
  `getServerPlatform()`
  Returns the serverPlatform.
  `String`
  `getSpecialInsructionsComments()`
  Returns the specialInsructionsComments.
  `String`
  `getSystemBusinessPurposeShort()`
  Returns the systemBusinessPurposeShort.
  `String`
  `getSystemDescriptionLong()`
  Returns the systemDescriptionLong
  `int`
  `getSystemId()`
  Returns the systemId.
  `String`
  `getSystemName()`
  Returns the systemName.
  `String`
  `getSystemOwnerEmail()`
  Returns the systemOwnerEmail Address
  `String`
  `getSystemOwnerFullName()`
  Returns the systemOwnerFullName.
  `String`
  `getSystemOwnerTelephone()`
  Returns the systemOwnerTelephone Number.
  `String`
  `getSystemPrimaryMoveType()`
  Returns the systemPrimaryMoveType i.e source or target
  `String`
  `getTotalDBSizeInGB()`
  Returns the totalDBSizeInGB.
  `int`
  `getTotalTableCount()`
  Returns the totalTableCount.
  `boolean`
  `isSdiFlag()`
  Returns the sdiFlag Value.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the AuditHistory details as specified.
  `void`
  `setAverageConcurrentUsersCount(int averageConcurrentUsersCount)`
  Sets the averageConcurrentUsersCount as specified.
  `void`
  `setAverageNamedUsersCount(int averageNamedUsersCount)`
  Sets the averageNamedUsersCount as specified.
  `void`
  `setDailyBatchExtractWindow(String dailyBatchExtractWindow)`
  Sets the dailyBatchExtractWindow as specified.
  `void`
  `setDataProfileScore(String dataProfileScore)`
  Sets the dataProfileScore as specified.
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  Sets the dataProfileScoreId as specified.
  `void`
  `setDataStewardName(String dataStewardName)`
  Deprecated.
  `void`
  `setDBMSPlatform(String dbmsPlatform)`
  Sets the dbmsPlatform as specified.
  `void`
  `setDBMSVersion(String dbmsVersion)`
  Sets the dbmsVersion as specified.
  `void`
  `setEndOfDayDefinition(String endOfDayDefinition)`
  Sets the endOfDayDefinition as specified.
  `void`
  `setESBPlatformType(String esbPlatformType)`
  Sets the esbPlatformType as specified.
  `void`
  `setESBQManagerName(String esbQManagerName)`
  Sets the esbQManagerName as specified.
  `void`
  `setFileLocation(String fileLocation)`
  Sets the fileLocation as specified.
  `void`
  `setFileManagmentSystemType(String fileManagmentSystemType)`
  Sets the fileManagmentSystemType as specified.
  `void`
  `setRelease(String release)`
  Sets the release as specified.
  `void`
  `setSdiClassificationId(int sdiClassificationId)`
  Deprecated.
  `void`
  `setSdiClassificationName(String sdiClassificationName)`
  Deprecated.
  `void`
  `setSDIClassifications(List<SDIClassification> sdiClassifications)`
  Method sets the list of sdiClassifications to the system as specified.
  `void`
  `setSdiDescription(String sdiDescription)`
  Deprecated.
  `void`
  `setSdiFlag(boolean sdiFlag)`
  Method sets the sdiFlag to the environment as specified.
  `void`
  `setServerOSVersion(String serverOSVersion)`
  Sets the serverOSVersion as specified.
  `void`
  `setServerPlatform(String serverPlatform)`
  Sets the serverPlatform as specified.
  `void`
  `setSpecialInsructionsComments(String specialInsructionsComments)`
  Sets the specialInsructionsComments as specified.
  `void`
  `setSystemBusinessPurposeShort(String systemBusinessPurposeShort)`
  Sets the systemBusinessPurposeShort as specified.
  `void`
  `setSystemDescriptionLong(String systemDescriptionLong)`
  Sets the systemDescriptionLong as specified.
  `void`
  `setSystemId(int systemId)`
  Sets the systemId as specified.
  `void`
  `setSystemName(String systemName)`
  Sets the systemName as specified.
  `void`
  `setSystemOwnerEmail(String systemOwnerEmail)`
  Sets the systemOwnerEmail Address as specified.
  `void`
  `setSystemOwnerFullName(String systemOwnerFullName)`
  Sets the systemOwnerFullName as specified.
  `void`
  `setSystemOwnerTelephone(String systemOwnerTelephone)`
  Sets the systemOwnerTelephone Number as specified.
  `void`
  `setSystemPrimaryMoveType(String systemPrimaryMoveType)`
  Sets the systemPrimaryMoveType as specified.
  `void`
  `setTotalDBSizeInGB(String totalDBSizeInGB)`
  Sets the totalDBSizeInGB as specified.
  `void`
  `setTotalTableCount(int totalTableCount)`
  Sets the totalTableCount as specified.

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SMSystem

    public SMSystem()

  - ### SMSystem

    public SMSystem(int systemId, int totalTableCount, int averageNamedUsersCount, int averageConcurrentUsersCount, AuditHistory auditHistory)

- ## Method Details

  - ### getSystemId

    public int getSystemId()
    Returns the systemId.
    Returns:
      int

  - ### setSystemId

    public void setSystemId(int systemId)
    Sets the systemId as specified.
    Parameters:
      `systemId` - int

  - ### getSystemName

    public String getSystemName()
    Returns the systemName.
    Returns:
      String

  - ### setSystemName

    public void setSystemName(String systemName)
    Sets the systemName as specified.
    Parameters:
      `systemName` - String

  - ### getSystemPrimaryMoveType

    public String getSystemPrimaryMoveType()
    Returns the systemPrimaryMoveType i.e source or target
    Returns:
      String

  - ### setSystemPrimaryMoveType

    public void setSystemPrimaryMoveType(String systemPrimaryMoveType)
    Sets the systemPrimaryMoveType as specified.
    Parameters:
      `systemPrimaryMoveType` - String

  - ### getSystemBusinessPurposeShort

    public String getSystemBusinessPurposeShort()
    Returns the systemBusinessPurposeShort.
    Returns:
      String

  - ### setSystemBusinessPurposeShort

    public void setSystemBusinessPurposeShort(String systemBusinessPurposeShort)
    Sets the systemBusinessPurposeShort as specified.
    Parameters:
      `systemBusinessPurposeShort` - String

  - ### getSystemDescriptionLong

    public String getSystemDescriptionLong()
    Returns the systemDescriptionLong
    Returns:
      String

  - ### setSystemDescriptionLong

    public void setSystemDescriptionLong(String systemDescriptionLong)
    Sets the systemDescriptionLong as specified.
    Parameters:
      `systemDescriptionLong` - String

  - ### getServerPlatform

    public String getServerPlatform()
    Returns the serverPlatform.
    Returns:
      String

  - ### setServerPlatform

    public void setServerPlatform(String serverPlatform)
    Sets the serverPlatform as specified.
    Parameters:
      `serverPlatform` - String

  - ### getServerOSVersion

    public String getServerOSVersion()
    Returns the serverOSVersion.
    Returns:
      String

  - ### setServerOSVersion

    public void setServerOSVersion(String serverOSVersion)
    Sets the serverOSVersion as specified.
    Parameters:
      `serverOSVersion` - String

  - ### getDBMSPlatform

    public String getDBMSPlatform()
    Returns the dbmsPlatform.
    Returns:
      String

  - ### setDBMSPlatform

    public void setDBMSPlatform(String dbmsPlatform)
    Sets the dbmsPlatform as specified.
    Parameters:
      `dbmsPlatform` - String

  - ### getDBMSVersion

    public String getDBMSVersion()
    Returns the dbmsVersion.
    Returns:
      String

  - ### setDBMSVersion

    public void setDBMSVersion(String dbmsVersion)
    Sets the dbmsVersion as specified.
    Parameters:
      `dbmsVersion` - String

  - ### getFileManagmentSystemType

    public String getFileManagmentSystemType()
    Returns the fileManagmentSystemType.
    Returns:
      String

  - ### setFileManagmentSystemType

    public void setFileManagmentSystemType(String fileManagmentSystemType)
    Sets the fileManagmentSystemType as specified.
    Parameters:
      `fileManagmentSystemType` - String

  - ### getFileLocation

    public String getFileLocation()
    Returns the fileLocation.
    Returns:
      String

  - ### setFileLocation

    public void setFileLocation(String fileLocation)
    Sets the fileLocation as specified.
    Parameters:
      `fileLocation` - String

  - ### getESBPlatformType

    public String getESBPlatformType()
    Returns the esbPlatformType.
    Returns:
      String

  - ### setESBPlatformType

    public void setESBPlatformType(String esbPlatformType)
    Sets the esbPlatformType as specified.
    Parameters:
      `esbPlatformType` - String

  - ### getESBQManagerName

    public String getESBQManagerName()
    Returns the esbQManagerName.
    Returns:
      String

  - ### setESBQManagerName

    public void setESBQManagerName(String esbQManagerName)
    Sets the esbQManagerName as specified.
    Parameters:
      `esbQManagerName` - String

  - ### getRelease

    public String getRelease()
    Returns the release.
    Returns:
      String

  - ### setRelease

    public void setRelease(String release)
    Sets the release as specified.
    Parameters:
      `release` - String

  - ### getTotalTableCount

    public int getTotalTableCount()
    Returns the totalTableCount.
    Returns:
      String

  - ### setTotalTableCount

    public void setTotalTableCount(int totalTableCount)
    Sets the totalTableCount as specified.
    Parameters:
      `totalTableCount` - int

  - ### getTotalDBSizeInGB

    public String getTotalDBSizeInGB()
    Returns the totalDBSizeInGB.
    Returns:
      String

  - ### setTotalDBSizeInGB

    public void setTotalDBSizeInGB(String totalDBSizeInGB)
    Sets the totalDBSizeInGB as specified.
    Parameters:
      `totalDBSizeInGB` - String

  - ### getEndOfDayDefinition

    public String getEndOfDayDefinition()
    Returns the endOfDayDefinition as specified.
    Returns:
      String

  - ### setEndOfDayDefinition

    public void setEndOfDayDefinition(String endOfDayDefinition)
    Sets the endOfDayDefinition as specified.
    Parameters:
      `endOfDayDefinition` - String

  - ### getDailyBatchExtractWindow

    public String getDailyBatchExtractWindow()
    Returns the dailyBatchExtractWindow.
    Returns:
      String

  - ### setDailyBatchExtractWindow

    public void setDailyBatchExtractWindow(String dailyBatchExtractWindow)
    Sets the dailyBatchExtractWindow as specified.
    Parameters:
      `dailyBatchExtractWindow` - String

  - ### getAverageNamedUsersCount

    public int getAverageNamedUsersCount()
    Returns the averageNamedUsersCount.
    Returns:
      int

  - ### setAverageNamedUsersCount

    public void setAverageNamedUsersCount(int averageNamedUsersCount)
    Sets the averageNamedUsersCount as specified.
    Parameters:
      `averageNamedUsersCount` - int

  - ### getAverageConcurrentUsersCount

    public int getAverageConcurrentUsersCount()
    Returns the averageConcurrentUsersCount.
    Returns:
      int

  - ### setAverageConcurrentUsersCount

    public void setAverageConcurrentUsersCount(int averageConcurrentUsersCount)
    Sets the averageConcurrentUsersCount as specified.
    Parameters:
      `averageConcurrentUsersCount` - int

  - ### getSpecialInsructionsComments

    public String getSpecialInsructionsComments()
    Returns the specialInsructionsComments.
    Returns:
      String

  - ### setSpecialInsructionsComments

    public void setSpecialInsructionsComments(String specialInsructionsComments)
    Sets the specialInsructionsComments as specified.
    Parameters:
      `specialInsructionsComments` - String

  - ### getSystemOwnerFullName

    public String getSystemOwnerFullName()
    Returns the systemOwnerFullName.
    Returns:
      String

  - ### setSystemOwnerFullName

    public void setSystemOwnerFullName(String systemOwnerFullName)
    Sets the systemOwnerFullName as specified.
    Parameters:
      `systemOwnerFullName` - String

  - ### getSystemOwnerTelephone

    public String getSystemOwnerTelephone()
    Returns the systemOwnerTelephone Number.
    Returns:
      String

  - ### setSystemOwnerTelephone

    public void setSystemOwnerTelephone(String systemOwnerTelephone)
    Sets the systemOwnerTelephone Number as specified.
    Parameters:
      `systemOwnerTelephone` - String

  - ### getSystemOwnerEmail

    public String getSystemOwnerEmail()
    Returns the systemOwnerEmail Address
    Returns:
      String

  - ### setSystemOwnerEmail

    public void setSystemOwnerEmail(String systemOwnerEmail)
    Sets the systemOwnerEmail Address as specified.
    Parameters:
      `systemOwnerEmail` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory Details. i.e it returns the createdBy, lastModifiedBy, createdDate, lastModifiedDate.
    Returns:
      AuditHistory Object

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the AuditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory Object

  - ### getDataStewardName

    @Deprecated public String getDataStewardName()
    Deprecated.
    Returns the dataStewardName.
    Returns:
      dataStewardName

  - ### setDataStewardName

    @Deprecated public void setDataStewardName(String dataStewardName)
    Deprecated.
    Sets the dataStewardName as specified.
    Parameters:
      `dataStewardName` -

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()
    Returns the dataProfileScoreId.
    Returns:
      dataProfileScoreId

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)
    Sets the dataProfileScoreId as specified.
    Parameters:
      `dataProfileScoreId` -

  - ### getDataProfileScore

    public String getDataProfileScore()
    Returns the dataProfileScore.
    Returns:
      dataProfileScore

  - ### setDataProfileScore

    public void setDataProfileScore(String dataProfileScore)
    Sets the dataProfileScore as specified.
    Parameters:
      `dataProfileScore` -

  - ### addEnvironment

    public void addEnvironment(SMEnvironment environment)
    Adds environment as specified in SMEnvironment Object.
    Parameters:
      `environment` - SMEnvironment

  - ### deleteEnvironment

    public void deleteEnvironment(SMEnvironment environment)
    Deletes the specified environment object
    Parameters:
      `environment` - SMEnvironment

  - ### getEnvironments

    public Collection<SMEnvironment> getEnvironments()
    Returns the list of SMEnvironment objects.
    Returns:
      SMEnvironment objects Collection

  - ### getSdiClassificationId

    public int getSdiClassificationId()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationId

    public void setSdiClassificationId(int sdiClassificationId)
    Deprecated.
    Method sets the sdiClassificationId to the system as specified.
    Parameters:
      `sdiClassificationId` - int

  - ### getSdiClassificationName

    public String getSdiClassificationName()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationName

    public void setSdiClassificationName(String sdiClassificationName)
    Deprecated.
    Method sets the sdiClassificationName to the environment as specified.
    Parameters:
      `sdiClassificationName` - String

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns the sdiFlag Value.
    Returns:
      sdiFlag boolean

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Method sets the sdiFlag to the environment as specified.
    Parameters:
      `sdiFlag` - boolean

  - ### getSdiDescription

    public String getSdiDescription()
    Deprecated.
    Returns the sdiDescription Value.
    Returns:
      sdiDescription String

  - ### setSdiDescription

    public void setSdiDescription(String sdiDescription)
    Deprecated.
    Method sets the sdiDescription to the environment as specified.
    Parameters:
      `sdiDescription` - String

  - ### getSDIClassifications

    public List<SDIClassification> getSDIClassifications()
    Returns the list of sdiClassifications of the system.
    Returns:
      sdiClassifications List

  - ### setSDIClassifications

    public void setSDIClassifications(List<SDIClassification> sdiClassifications)
    Method sets the list of sdiClassifications to the system as specified.
    Parameters:
      `sdiClassifications` - List

  - ### addSDIClassification

    public SMSystem addSDIClassification(SDIClassification classification)
    It adds the given sdiClassification object to the list.
    Parameters:
      `classification` -
    Returns:
      SMSystem